%define rhnroot %{_prefix}/share/rhn

Name:		spacewalk-utils
Version:	0.5.1
Release:	8%{?dist}
Summary:	Utilities that may be run against a Spacewalk server.

Group:		Applications/Internet
License:	GPLv2
URL:		https://fedorahosted.org/spacewalk
Source0:	https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
Patch0: spacewalk-utils-0.5.1-1-to-spacewalk-utils-0.5.1-8-sat.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/docbook2man
BuildRequires:  docbook-utils

Requires:       python, rpm-python

%description
Generic utilities that may be run against a Spacewalk server.  This package
contains utilities that may be installed on a client and run against the
server.


%prep
%setup -q
%patch0 -p1


%build
make all


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{rhnroot}
make install PREFIX=$RPM_BUILD_ROOT ROOT=%{rhnroot} \
    MANDIR=%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/sw-system-snapshot
%attr(755,root,root) %{_bindir}/migrate-system-profile
%dir %{rhnroot}/utils
%{rhnroot}/utils/__init__.py*
%{rhnroot}/utils/systemSnapshot.py*
%{rhnroot}/utils/migrateSystemProfile.py*
%{rhnroot}/utils/rhnLockfile.py*
%{rhnroot}/utils/rhn_fcntl.py*
%{_mandir}/man8/sw-system-snapshot.8*
%{_mandir}/man8/migrate-system-profile.8*


%changelog
* Thu Aug 06 2009 Devan Goodwin <dgoodwin@redhat.com> 0.5.1-8
- 514970 - removing the spacewalk common dependency on utils package so it can
  run on client. Added the locking supported moduled to utils package.
  (pkilambi@redhat.com)

* Fri Jul 31 2009 Pradeep Kilambi <pkilambi@redhat.com>
- removing common module dep and adding locking to utils package.

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 0.5.1-6
- Package rebuild 

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 0.5.1-5
- 500173 - update migrate-system-profile to import scripts from utils vs
  spacewalk_tools (bbuckingham@redhat.com)
- add system migration scripts to spacewalk-utils.spec (bbuckingham@redhat.com)

* Tue May 05 2009 Devan Goodwin <dgoodwin@redhat.com> 0.5.1-4
- add system migration scripts to spacewalk-utils.spec (bbuckingham@redhat.com)

* Fri Apr 24 2009 jesus m. rodriguez <jesusr@redhat.com> 0.5.1-3
- new package

* Fri Apr 17 2009 Pradeep Kilambi <pkilambi@redhat.com>
- Adding migrate system profile tool to utils package

* Tue Apr 07 2009 Brad Buckingham <bbuckingham@redhat.com> 0.6.1-1
-
